Skip to main content
GET
/
cloud
/
v1
/
bmimages
/
{project_id}
/
{region_id}
Python
import os
from gcore import Gcore

client = Gcore(
    api_key=os.environ.get("GCORE_API_KEY"),  # This is the default and can be omitted
)
baremetal_image_list = client.cloud.baremetal.images.list(
    project_id=1,
    region_id=7,
)
print(baremetal_image_list.count)
{
  "count": 1,
  "results": [
    {
      "architecture": "aarch64",
      "created_at": "2024-05-05T14:51:26.570866",
      "creator_task_id": "b10dd116-07f5-4225-abb7-f42da5cb78fb",
      "currency_code": "USD",
      "description": "string",
      "disk_format": "raw",
      "display_order": 2010,
      "gpu_driver": "nvidia",
      "gpu_driver_type": "open",
      "gpu_driver_version": "570.148.08",
      "hw_firmware_type": "bios",
      "hw_machine_type": "q35",
      "id": "44e136a7-15c1-4b5f-a086-20b7b3237d40",
      "is_baremetal": true,
      "min_disk": 3,
      "min_ram": 0,
      "name": "ubuntu-20.10-x64",
      "os_distro": "ubuntu",
      "os_type": "linux",
      "os_version": "20.10",
      "price_per_hour": 1,
      "price_per_month": 720,
      "price_status": "show",
      "project_id": 1337,
      "region": "Luxembourg 1",
      "region_id": 7,
      "size": 2361393152,
      "ssh_key": "allow",
      "status": "active",
      "tags": [
        {
          "key": "my-tag",
          "read_only": false,
          "value": "my-tag-value"
        }
      ],
      "task_id": null,
      "updated_at": "2024-05-05T14:51:26.570866",
      "visibility": "public"
    }
  ]
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

7

Query Parameters

include_prices
boolean

Show price.

private
string

Any value to show private images

tag_key
string[]

Optional. Filter by tag keys. ?tag_key=key1&tag_key=key2

Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.

Required string length: 1 - 255
Pattern: ^[^\s=]+$
Example:
["key1", "key2"]
tag_key_value
string

Optional. Filter by tag key-value pairs.

Example:
{ "key": "value" }
visibility
enum<string>

Image visibility. Globally visible images are public

Available options:
private,
public,
shared

Response

200 - application/json

OK

count
integer
required

Number of objects

Required range: x >= 0
Example:

1

results
Image schema · object[]
required

Objects